Nebul Docs

Create Speech

POST
/v1/audio/speech

Generates audio from the input text. Follows the OpenAI Audio API spec: https://platform.openai.com/docs/api-reference/audio/createSpeech

curl -X POST https://api.inference.nebul.io/v1/audio/speech \-H "Content-Type: application/json" \-H "Authorization: Bearer sk-1234" \-d '{    "model": "resemble-ai/chatterbox-multilingual",    "input": "Hello, this is a test.",    "voice": "alloy"}'

Authorization

X-API-Key<token>

Project-scoped Nebul API key. Also accepted as Authorization: Bearer <key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/audio/speech" \  -H "Content-Type: application/json" \  -d '{    "input": "string"  }'
null